# sc::SavableStateProxy Class Reference

Create a proxy for a SavableState object. More...

`#include <proxy.h>`

List of all members.

## Public Member Functions

Ref< DescribedClass > | object ()
| Return the object referred to by this proxy.
| SavableStateProxy (const Ref< KeyVal > &)
| Create the proxy with a Ref to a KeyVal object.

## Detailed Description

Create a proxy for a SavableState object.

This can be used to include an object that has been saved with SavableState in an input file for ParsedKeyVal.

The documentation for this class was generated from the following file:

- state/proxy.h